Shoplive API 레퍼런스
이 페이지는 공식 문서와 같은 원본에서 생성된, Shoplive External API v2 의 전체 엔드포인트 레퍼런스입니다. API 가 처음이신가요? 인증과 세 가지 End-to-End 주제를 다루는 시작 가이드부터 확인해 보세요.
JWT 토큰 발행
JWT 페이로드를 생성할 때
exp는 충분히 먼 시점으로 설정합니다 (아래 예시는 3년 뒤로 설정합니다)페이로드에
accessKey를 넣습니다. 값은{accessKey}경로 파라미터와 같습니다.HS256으로 JWT에 서명합니다. 서명 키는 비밀 키(secret key)를 Base64 디코딩한 값을 사용합니다.
JWT는 HTTP 요청의 헤더에 담아 전달해야 합니다.
import io.jsonwebtoken.JwtBuilder;
import io.jsonwebtoken.Jwts;
import io.jsonwebtoken.SignatureAlgorithm;
import java.util.Date;
public class JwtAuthorizationGeneratorSample {
public static void main(String[] args) {
String algorithm = "HS256";
String base64EncodedSecretKey = "{secretKey}";
long expiration = System.currentTimeMillis() + 3 * 365 * 24 * (60 * 60 * 1000L);
String accessKey = "{accessKey}";
JwtBuilder builder = Jwts.builder()
.signWith(SignatureAlgorithm.forName(algorithm), base64EncodedSecretKey)
.setExpiration(new Date(expiration))
.setIssuedAt(new Date())
.claim("accessKey", accessKey);
String jwt = builder.compact();
System.out.printf("jwt: " + jwt);
}
}다음은 헤더에 JWT를 담아 보내는 예시입니다.
curl --location --request GET 'https://private.shopliveapi.com/v2/{accessKey}/campaign/{campaignKey}' \
--header 'Authorization: Bearer {JWT_TOKEN}'토큰이 없거나 올바르지 않으면 401(_s: -824), 만료되었으면 401(_s: -412)이 반환됩니다.
다음 → Campaign 객체
Campaign 객체
속성 이름 | 타입 | 설명 |
|---|---|---|
campaignMeta | 방송의 메타 정보 | |
stream | 방송의 송출 정보 | |
campaignProductList | List<CampaignProduct>? | CampaignProduct 객체의 목록입니다. |
seller | 방송의 셀러 정보 |
CampaignMeta 객체
속성 이름 | 타입 | 읽기 전용 | 설명 |
|---|---|---|---|
campaignId | String! | O | 자동 생성되는 방송의 식별자입니다. (숫자로 이루어진 문자열) |
campaignKey | String! | O | 자동 생성되는 키입니다(최대 32바이트, 영숫자). API 호출 시 방송을 지정하는 데 사용됩니다. |
accessKey | String! | O | 고객사마다 부여되는 고유 키입니다. 대부분의 Shoplive API에서 이 accessKey가 필요합니다. |
shoplivePlayerUrl | String! | O | 테스트 시청을 위해 Shoplive에서 제공하는 플레이어 URL |
title | String! | 방송의 제목 | |
description | String? | 방송에 대한 설명 | |
campaignStatus | String! | O | RESERVED, READY, REHEARSAL, ONAIR, ENDED |
rerun | Boolean! | O | 해당 방송이 재방송인지 여부를 나타내는 불리언 플래그입니다. |
userCount | Integer? | O | 방송 상태가 ONAIR 또는 REHEARSAL일 때 실시간 시청자 수입니다. 방송이 종료됐을 때(방송 상태가 ENDED일 때)의 총 시청자 수입니다. * 방송 상태가 READY일 때는 null입니다. |
concurrentUserCount | Integer? | O | 방송 상태가 ONAIR 또는 REHEARSAL일 때 실시간 동시 시청자 수입니다. * 방송 상태가 READY 또는 ENDED일 때는 null입니다. |
likeCount | Integer? | O | campaignStatus READY: null campaignStatus REHEARSAL: 실시간 좋아요 수 campaignStatus ONAIR: 실시간 좋아요 수 campaignStatus ENDED: 총 좋아요 수 |
rehearsalPasscode | String! | 리허설 모드에서 라이브 스트리밍에 입장하기 위한 패스코드 | |
serveReplay | Boolean! | 방송 종료 후 리플레이를 제공할지 여부입니다. | |
logoImageUrl | String? | O | 로고 이미지 URL |
brand | Brand? | Brand 객체 | |
preCampaignVideoUrl | String? | 방송 시작 전 영상 URL | |
preCampaignImageUrl | String? | 방송 시작 전 이미지 URL | |
postCampaignImageUrl | String? | 방송 종료 후 이미지 URL | |
backgroundImageUrl | String? | 배경 이미지 URL | |
ieUnsupportImageUrl | String? | IE 브라우저용 이미지 | |
tags | List? | 방송에 설정된 태그 정보 (최대 10개까지 설정 가능) | |
scheduledStartAt | String! | 방송의 예정된 시작 일시 (형식: | |
scheduledEndAt | String? | 방송의 예정된 종료 일시 (형식: | |
campaignStartedAt | String? | O | 방송의 실제 시작 일시 (형식: |
campaignEndedAt | String? | O | 방송의 실제 종료 일시 (형식: |
createdAt | String! | O | 방송 생성 일시 (UTC) (형식: |
updatedAt | String! | O | 방송 마지막 수정 일시 (UTC) (형식: |
Stream 객체
속성 이름 | 타입 | 설명 |
|---|---|---|
streamUrl | String! | 스트리밍 소프트웨어(예: OBS)에 사용할 RTMP 스트림 URL 정보 |
streamKey | String! | 스트리밍 소프트웨어(예: OBS)에 사용할 RTMP 스트림 키 정보 |
videoAspectRatio | String! | 영상의 화면 비율입니다. 9:16(세로) 또는 16:9(가로) |
liveUrl | String! | 라이브 스트리밍의 마스터 m3u8 URL입니다. |
liveUrls | Map<String, String>? | 해상도별(320p, 480p, 720p, 1080p) 라이브 스트리밍 m3u8 URL 모음입니다. |
previewLiveUrl | String! | 미리보기 영상의 m3u8 URL(320p 해상도)입니다. 미리보기는 웹 브라우저에서 영상 썸네일을 구현하기 위한 영상 포맷입니다. |
replayLiveUrl | String? | 리플레이 스트리밍의 마스터 m3u8 URL입니다. 이 값은 방송이 종료된 후에만 설정됩니다. |
replayLiveUrls | Map<String, String>? | 해상도별(320p, 480p, 720p, 1080p) 리플레이 스트리밍 m3u8 URL 모음입니다. |
previewReplayLiveUrl | String? | 리플레이 미리보기 영상의 m3u8 URL(320p 해상도)입니다. 미리보기는 웹 브라우저에서 영상 썸네일을 구현하기 위한 영상 포맷입니다. 이 값은 방송이 종료된 후에만 설정됩니다. URL의 쿼리 스트링에 preview 파라미터 값이 1로 지정된 경우, 리플레이 미리보기 영상 재생에 사용된 데이터가 사용량 할당량에 포함된다는 것을 의미합니다. |
CampaignProduct 객체
속성 이름 | 타입 | 설명 |
|---|---|---|
productId | String! | 자동 생성되는 고유 상품 ID |
customerProductId | String? | 고객사의 상품 ID이며 고유해야 합니다(고객사가 직접 정의). |
name | String! | 상품명 |
brand | String? | 브랜드명 |
description | String? | 상품에 대한 설명 |
brandIdentifier | String? | 브랜드 키 |
url | String! | 상품 URL입니다. Shoplive Player에서 상품 정보를 클릭했을 때 이동하는 목적지 URL입니다. |
sku | String? | 상품 SKU 정보 (고객사가 정의) |
imageUrl | String? | 상품 썸네일 이미지 URL입니다. Shoplive는 상품 객체 생성 시 자동으로 썸네일 URL을 생성합니다. |
currency | String! | 가격의 통화 |
showPrice | Boolean! | 가격을 표시할지 여부입니다. |
originalPrice | Double? | 예: 20.00 (통화가 USD인 경우 $20.00) |
discountPrice | Double? | 예: 15.00 (통화가 USD인 경우 $15.00) |
discountRate | Double? | 예: 25.00 (할인율이 25%인 경우) |
enableAuction | Boolean! | 경매 상품 여부입니다. |
bidStartingPrice | Double? | 경매의 시작 가격 (예: 0.99) |
bidDuration | Integer? | 경매의 입찰 시간 (초) |
bidIncrementalAmount | Double? | 입찰 시 증가하는 금액 |
extendBidDuration | Boolean? | 경매 종료 직전에 입찰이 들어오면 남은 입찰 시간을 연장할지 여부입니다. 연장 시간은 고객사의 경매 설정을 따릅니다. |
ctaButtonTitle | String? | 상품에 표시되는 CTA(행동 유도) 버튼의 제목입니다. UI 커스터마이징이 필요하므로 Shoplive와 협의가 필요합니다. |
seller | 상품을 소유한 셀러 정보입니다. | |
createdAt | String! | 상품이 생성된 일시입니다 (형식: |
updatedAt | String! | 상품이 수정된 일시입니다 (형식: |
campaignId | String! | 자동 생성되는 방송 식별자입니다. (숫자로 이루어진 문자열) |
visible | Boolean? | 상품의 'visible'(노출) 상태입니다. |
purchasable | Boolean? | 상품의 'purchasable'(구매 가능) 상태입니다. |
showingNow | Boolean! | 상품의 'Now' 표시 상태입니다. (=pin) |
sortOrder | Integer! | 상품이 노출되는 순서입니다. (=listOrder) |
stockStatus | String! | IN_STOCK, LOW_IN_STOCK , SOLD_OUT |
auction | 상품의 경매 정보입니다. |
Auction 객체
속성 이름 | 타입 | 설명 |
|---|---|---|
productId | String! | 자동 생성되는 고유 상품 ID |
auctionStatus | String! | READY, ONGOING, ENDING, ENDED |
startingPrice | Double! | 경매의 시작 가격 |
bidRound | Integer! | 경매의 입찰 회차 |
currentPrice | Double! | 경매의 현재 가격 |
winningPrice | Double? | 경매의 낙찰 가격 |
recommendedPrices | List<Double>? | 경매의 추천 입찰 가격 |
winner | 경매의 낙찰자입니다. | |
leader | 경매의 최고 입찰자입니다. | |
winnerCheckoutScheme | String? | 낙찰자가 상품을 구매할 수 있는 앱 스킴입니다. |
startedAt | Number? | 경매의 실제 시작 일시입니다 (형식: 밀리초 단위 타임스탬프) |
endingAt | Number? | 경매의 예상 종료 일시입니다 (형식: 밀리초 단위 타임스탬프) |
endedAt | Number? | 경매의 실제 종료 일시입니다 (형식: 밀리초 단위 타임스탬프) |
Bidder 객체
속성 이름 | 타입 | 설명 |
|---|---|---|
uid | String! | 자동 생성되는 사용자 식별자입니다. (숫자 형태의 문자열) |
userId | String? | 사용자 식별자입니다. (고객사가 정의) |
name | String! | 사용자의 이름입니다. |
예시
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"tags": [ "tag1", "tag2" ],
"campaignStatus": "READY",
"userCount": null,
"likeCount": null,
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8",
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_480p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8?preview=1"
},
"campaignProductList": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "IN_STOCK",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 3,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 4,
"stockStatus": "IN_STOCK",
"auction": {
"productId": "1004",
"auctionStatus": "READY",
"startingPrice": 7.0,
"bidRound": 1,
"currentPrice": 7.0,
"winningPrice": null,
"recommendedPrices": null,
"winner": null,
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": null,
"endingAt": null,
"endedAt": null
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 5,
"stockStatus": "IN_STOCK",
"auction": null
}
],
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null,
"sellerIdentifier": "seller_identifier"
}
}
campaignStatus가 ONAIR인 경우
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"tags": [ "tag1", "tag2" ],
"campaignStatus": "ONAIR",
"userCount": 123,
"likeCount": 3132,
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": "2026-11-01T09:10:05Z",
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8?preview=1"
},
"campaignProductList": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 3,
"stockStatus": "IN_STOCK",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 4,
"stockStatus": "IN_STOCK",
"auction": {
"productId": "1004",
"auctionStatus": "ONGOING",
"startingPrice": 7.0,
"bidRound": 3,
"currentPrice": 9.0,
"winningPrice": null,
"recommendedPrices": [
10.0
],
"winner": null,
"leader": {
"uid": "350964901054939144",
"userId": "test@shoplive.cloud",
"name": "ShopliveUser-1"
},
"winnerCheckoutScheme": null,
"startedAt": 1793524830000,
"endingAt": 1793524950000,
"endedAt": null
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": false,
"sortOrder": 5,
"stockStatus": "IN_STOCK",
"auction": null
}
],
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}
campaignStatus가 ENDED인 경우
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"tags": [ "tag1", "tag2" ],
"campaignStatus": "ENDED",
"userCount": 15923,
"likeCount": 102683,
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": "2026-11-01T09:10:05Z",
"campaignEndedAt": "2026-11-01T10:05:05Z",
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/replay.m3u8?replayMode=ORIGINAL",
"replayLiveUrls": {
"720p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/720p/index.m3u8"
},
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8?preview=1"
},
"campaignProductList": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 3,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 4,
"stockStatus": "SOLD_OUT",
"auction": {
"productId": "1004",
"auctionStatus": "ENDED",
"startingPrice": 7.0,
"bidRound": 3,
"currentPrice": 0.0,
"winningPrice": 9.0,
"recommendedPrices": null,
"winner": {
"uid": "350964901054939144",
"userId": "test@shoplive.cloud",
"name": "ShopliveUser-1"
},
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": 1793524830000,
"endingAt": null,
"endedAt": 1793524950000
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 5,
"stockStatus": "SOLD_OUT",
"auction": null
}
],
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}방송 검색
방송 검색
헤더 파라미터
경로 파라미터
쿼리 파라미터
scheduledStartAt 범위의 시작 (형식: YYYY-MM-DD'T'HH:mm:ss'Z', 예: 2026-05-20T08:00:00Z)scheduledStartAt 범위의 끝 (형식: YYYY-MM-DD'T'HH:mm:ss'Z', 예: 2026-05-20T09:00:00Z)ORRESERVED, READY, REHEARSAL, ONAIR, ENDED). 대소문자를 구분하지 않습니다.1234,1235,1236.c7671aa83bd2,6229da3b75d4.false(최신 예약부터)입니다.false110응답
results 의 각 항목은 Campaign 객체입니다.
{
"results": [
{
"campaignMeta": {
"campaignId": "1237",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Ready Liveshow",
"description": "Liveshow Ready description",
"campaignStatus": "READY",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"schemes": null
}
},
{
"campaignMeta": {
"campaignId": "1236",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow Rehearsal",
"description": "Liveshow Rehearsal description",
"campaignStatus": "REHEARSAL",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-10-31T09:00:00Z",
"scheduledEndAt": "2026-10-31T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-10-31T08:15:00Z",
"updatedAt": "2026-10-31T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
},
{
"campaignMeta": {
"campaignId": "1235",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow OnAir",
"description": "Liveshow OnAir description",
"campaignStatus": "ONAIR",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-10-30T09:00:00Z",
"scheduledEndAt": "2026-10-30T10:00:00Z",
"campaignStartedAt": "2026-10-30T09:10:05Z",
"campaignEndedAt": null,
"createdAt": "2026-10-30T08:15:00Z",
"updatedAt": "2026-10-30T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
},
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"campaignStatus": "ENDED",
"rehearsalPasscode": "9876",
"serveReplay": true,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-10-29T09:00:00Z",
"scheduledEndAt": "2026-10-29T10:00:00Z",
"campaignStartedAt": "2026-10-29T09:10:05Z",
"campaignEndedAt": "2026-10-29T10:05:05Z",
"createdAt": "2026-10-29T08:15:00Z",
"updatedAt": "2026-10-29T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/replay.m3u8?replayMode=ORIGINAL",
"replayLiveUrls": {
"480p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/480p/index.m3u8",
"720p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/720p/index.m3u8"
},
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}
],
"totalCount": 4
}results
campaignMeta
null입니다.null입니다.null입니다.truebrand
00stream
liveUrls
seller
0{
"_s": -510,
"_e": "Error message"
}이전 ← Campaign 객체다음 → 방송 생성
방송 생성
요청 본문 예시입니다.
{
"campaignMeta": {
"title": "New campaign name here",
"description": "Description of the campaign here",
"tags": ["tag1", "tag2"],
"rehearsalPasscode": "1234",
"serveReplay": true
}
}
헤더 파라미터
경로 파라미터
본문 파라미터
{
"campaignMeta": {
"title": "New campaign name here",
"description": "Description of the campaign here",
"tags": [
"tag1",
"tag2"
],
"rehearsalPasscode": "1234",
"serveReplay": true
}
}campaignMeta
brand
YYYY-MM-DDTHH:mm:ss±HH:MM, UTC는 Z)입니다. 응답은 UTC입니다.YYYY-MM-DDTHH:mm:ss±HH:MM, UTC는 Z)입니다. 응답은 UTC입니다.seller
응답
응답 본문은 Campaign 객체입니다.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New campaign name here",
"description": "Description of the campaign here",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"brand": {
"brandId": "1",
"name": "API V2 Brand",
"identifier": "api_v2_brand",
"description": "API V2 Brand description",
"imageUrl": "https://image.shoplive.cloud/aa1a2ae6-e557-462c-ae6d-a2ce47d245a1.png",
"imageWidth": 2110,
"imageHeight": 317,
"createdAt": "2026-02-22T13:32:50Z",
"updatedAt": "2026-02-22T13:33:46Z"
},
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": {
"sellerId": "1",
"name": "New seller",
"profileUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": {}
}
}campaignMeta
brand
stream
liveUrls
seller
{
"_s": -836,
"_e": "Error message"
}{
"_s": -837,
"_e": "Error message"
}{
"_s": -207,
"_e": "Error message"
}{
"_s": -792,
"_e": "Error message"
}0재방송 생성
종료된 방송을 복제하여 재방송을 생성합니다.
헤더 파라미터
경로 파라미터
본문 파라미터
{
"campaignMeta": {
"title": "rerun campagin title",
"scheduledStartAt": "2026-04-01T01:00:00Z"
},
"copyPopups": true,
"copyProducts": true
}campaignMeta
YYYY-MM-DDTHH:mm:ss±HH:MM, UTC는 Z)입니다. 응답은 UTC입니다.true입니다.truetrue입니다.true응답
응답 본문은 Campaign 객체입니다.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New campaign name here",
"description": "Description of the campaign here",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"brand": {
"brandId": "1",
"name": "API V2 Brand",
"identifier": "api_v2_brand",
"description": "API V2 Brand description",
"imageUrl": "https://image.shoplive.cloud/aa1a2ae6-e557-462c-ae6d-a2ce47d245a1.png",
"imageWidth": 2110,
"imageHeight": 317,
"createdAt": "2026-02-22T13:32:50Z",
"updatedAt": "2026-02-22T13:33:46Z"
},
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": {
"sellerId": "1",
"name": "New seller",
"profileUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": {}
}
}campaignMeta
brand
stream
liveUrls
seller
{
"_s": -510,
"_e": "INVALID_ARGUMENT"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0방송 정보 조회
방송 키 또는 방송 ID로 방송을 조회합니다.
헤더 파라미터
경로 파라미터
쿼리 파라미터
false1응답
응답 본문은 Campaign 객체입니다.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"campaignStatus": "ENDED",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": "2026-11-01T09:10:05Z",
"campaignEndedAt": "2026-11-01T10:05:05Z",
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/replay.m3u8?replayMode=ORIGINAL",
"replayLiveUrls": {
"480p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/480p/index.m3u8",
"720p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/720p/index.m3u8"
},
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 3,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 4,
"stockStatus": "SOLD_OUT",
"auction": {
"productId": "1004",
"auctionStatus": "ENDED",
"startingPrice": 7.0,
"bidRound": 3,
"currentPrice": 0.0,
"winningPrice": 9.0,
"recommendedPrices": null,
"winner": {
"uid": "350964901054939144",
"userId": "test@shoplive.cloud",
"name": "ShopliveUser-1"
},
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": 1793524830000,
"endingAt": null,
"endedAt": 1793524950000
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 5,
"stockStatus": "SOLD_OUT",
"auction": null
}
],
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}campaignMeta
null입니다.null입니다.null입니다.truebrand
00stream
liveUrls
replayLiveUrls
campaignProductList
true000trueseller
true0seller
{
"_s": -510,
"_e": "Error message"
}방송 삭제
방송을 삭제합니다. 방송의 campaignStatus가 READY 또는 RESERVED일 때만 삭제할 수 있으며, 그 외에는 403(_s: -114)이 반환됩니다. 재방송의 원본인 방송은 삭제할 수 없습니다(403, _s: -706). 재방송을 먼저 삭제하세요.
헤더 파라미터
경로 파라미터
응답
응답 본문 없음
{
"_s": -710,
"_e": "Campaign does not exist."
}{
"_s": -114,
"_e": "FAIL_TO_DELETE"
}0방송 복제
기존 방송을 복제하여 새 방송을 생성합니다.
헤더 파라미터
경로 파라미터
쿼리 파라미터
truetrue응답
응답 본문은 Campaign 객체입니다.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "Shoplive Liveshow",
"description": "Liveshow description",
"campaignStatus": "ENDED",
"rehearsalPasscode": "9876",
"serveReplay": false,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-11-01T09:00:00Z",
"scheduledEndAt": "2026-11-01T10:00:00Z",
"campaignStartedAt": "2026-11-01T09:10:05Z",
"campaignEndedAt": "2026-11-01T10:05:05Z",
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-01T08:29:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/replay.m3u8?replayMode=ORIGINAL",
"replayLiveUrls": {
"480p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/480p/index.m3u8",
"720p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/720p/index.m3u8"
},
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
}
}campaignMeta
null입니다.null입니다.null입니다.truebrand
00stream
liveUrls
replayLiveUrls
seller
{
"_s": -710,
"_e": "Campaign does not exist."
}0방송 수정
CampaignMeta 객체의 수정 가능한 필드
| 필드 이름 | 타입 | 설명 |
|---|---|---|
title |
string | 방송의 제목 |
description |
string | 방송에 대한 설명 |
rehearsalPasscode |
string | 리허설 모드에서 라이브 스트리밍에 입장하기 위한 패스코드 |
serveReplay |
boolean | 리플레이를 공개할지 여부 |
scheduledStartAt |
string | 방송 시작 예정 시각. 시간대 오프셋을 포함한 ISO 8601 (YYYY-MM-DDTHH:mm:ss±HH:MM, UTC는 Z). 응답은 UTC |
scheduledEndAt |
string | 방송 종료 예정 시각. 시간대 오프셋을 포함한 ISO 8601 (YYYY-MM-DDTHH:mm:ss±HH:MM, UTC는 Z). 응답은 UTC |
tags |
array of string | 방송 태그. []를 보내면 모두 제거, 생략하면 유지 |
brand |
object | 방송 브랜드({"brandId": …}). {}를 보내면 연결 해제, 생략하면 유지 |
헤더 파라미터
경로 파라미터
본문 파라미터
{
"campaignMeta": {
"title": "New title",
"description": "New description",
"rehearsalPasscode": "1234",
"serveReplay": true,
"scheduledStartAt": "2026-12-01T09:00:00Z",
"scheduledEndAt": "2026-12-01T10:00:00Z"
}
}campaignMeta
brand
YYYY-MM-DDTHH:mm:ss±HH:MM, UTC는 Z)입니다. 응답은 UTC입니다.YYYY-MM-DDTHH:mm:ss±HH:MM, UTC는 Z)입니다. 응답은 UTC입니다.응답
응답 본문은 Campaign 객체입니다.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New title",
"description": "New description",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"brand": {
"brandId": "1",
"name": "API V2 Brand",
"identifier": "api_v2_brand",
"description": "API V2 Brand description",
"imageUrl": "https://image.shoplive.cloud/aa1a2ae6-e557-462c-ae6d-a2ce47d245a1.png",
"imageWidth": 2110,
"imageHeight": 317,
"createdAt": "2026-02-22T13:32:50Z",
"updatedAt": "2026-02-22T13:33:46Z"
},
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-12-01T09:00:00Z",
"scheduledEndAt": "2026-12-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-30T11:40:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": null
}campaignMeta
brand
stream
liveUrls
{
"_s": -510,
"_e": "Error message"
}이전 ← 방송 복제다음 → 방송 내 상품 검색
방송 내 상품 검색
방송 내 상품 검색
헤더 파라미터
경로 파라미터
응답
results 의 각 항목은 CampaignProduct 객체입니다.
{
"results": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": true,
"sortOrder": 1,
"stockStatus": "IN_STOCK",
"auction": null
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": null
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": false,
"sortOrder": 3,
"stockStatus": "SOLD_OUT",
"auction": null
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": false,
"sortOrder": 4,
"stockStatus": "IN_STOCK",
"auction": {
"productId": "1004",
"auctionStatus": "READY",
"startingPrice": 7.0,
"bidRound": 1,
"currentPrice": 7.0,
"winningPrice": null,
"recommendedPrices": null,
"winner": null,
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": null,
"endingAt": null,
"endedAt": null
}
},
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1237",
"showingNow": false,
"sortOrder": 5,
"stockStatus": "IN_STOCK",
"auction": null
}
],
"totalCount": 5
}results
true000trueseller
true00{
"_s": -710,
"_e": "Campaign does not exist."
}0방송에 상품 추가
방송에 상품 추가
헤더 파라미터
경로 파라미터
본문 파라미터
항목이 최소 1개 필요합니다. 각 항목은 productId 또는 customerProductId 중 하나를 지정해야 하며, 한 요청의 모든 항목에는 같은 종류의 식별자를 사용하세요.
[
{
"productId": 1234
},
{
"productId": 1235
}
]응답
{
"results": [
{
"productId": "1234",
"message": null,
"status": "SUCCESS"
},
{
"productId": "1235",
"message": "The product is already registered.",
"status": "FAIL"
}
],
"successCount": 1,
"warnCount": 0,
"failCount": 1,
"totalCount": 2
}results
0000{
"_s": -510,
"_e": "Error message"
}이전 ← 방송 내 상품 검색다음 → 방송에서 상품 제거
방송에서 상품 제거
방송에서 상품 제거
헤더 파라미터
경로 파라미터
본문 파라미터
항목이 최소 1개 필요합니다. 각 항목은 productId 또는 customerProductId 중 하나를 지정해야 하며, 한 요청의 모든 항목에는 같은 종류의 식별자를 사용하세요.
[
{
"productId": 1234
},
{
"productId": 1235
}
]응답
{
"results": [
{
"productId": "1234",
"message": null,
"status": "SUCCESS"
},
{
"productId": "1235",
"message": "The product has already been removed.",
"status": "FAIL"
}
],
"successCount": 1,
"warnCount": 0,
"failCount": 1,
"totalCount": 2
}results
{
"_s": -510,
"_e": "Error message"
}이전 ← 방송에 상품 추가다음 → 상위 계정으로 방송 이관
상위 계정으로 방송 이관
셀러로부터 상위(부모) 계정으로 방송을 이관합니다.
헤더 파라미터
경로 파라미터
쿼리 파라미터
false응답
응답 본문은 Campaign 객체입니다.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New title",
"description": "New description",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-12-01T09:00:00Z",
"scheduledEndAt": "2026-12-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-30T11:40:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": null
}campaignMeta
stream
liveUrls
{
"_s": -714,
"_e": "Error message"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0이전 ← 방송에서 상품 제거다음 → 방송의 경매 상품 검색
방송의 경매 상품 검색
방송의 경매 상품 검색
헤더 파라미터
경로 파라미터
쿼리 파라미터
응답
results 의 각 항목은 CampaignProduct 객체입니다.
{
"results": [
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": true,
"bidStartingPrice": 50.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 2,
"stockStatus": "LOW_IN_STOCK",
"auction": {
"productId": "1002 ",
"auctionStatus": "READY",
"startingPrice": 50.0,
"bidRound": 1,
"currentPrice": 50.0,
"winningPrice": null,
"recommendedPrices": null,
"winner": null,
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": null,
"endingAt": null,
"endedAt": null
}
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": true,
"bidStartingPrice": 28.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 3,
"stockStatus": "LOW_IN_STOCK",
"auction": {
"productId": "1003 ",
"auctionStatus": "ONGOING",
"startingPrice": 50.0,
"bidRound": 3,
"currentPrice": 52.0,
"winningPrice": null,
"recommendedPrices": [
53.0
],
"winner": null,
"leader": {
"uid": "350964901054939144",
"name": "shoplive-user"
},
"winnerCheckoutScheme": null,
"startedAt": 1769942592969,
"endingAt": 1769942632969,
"endedAt": null
}
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 4,
"stockStatus": "SOLD_OUT",
"auction": {
"productId": "1004",
"auctionStatus": "ENDED",
"startingPrice": 7.0,
"bidRound": 3,
"currentPrice": 0.0,
"winningPrice": 9.0,
"recommendedPrices": null,
"winner": {
"uid": "350964901054939144",
"userId": "test@shoplive.cloud",
"name": "ShopliveUser-1"
},
"leader": null,
"winnerCheckoutScheme": null,
"startedAt": 1793524830000,
"endingAt": null,
"endedAt": 1793524950000
}
}
],
"totalCount": 3
}results
true000true000trueseller
true0auction
000winner
null입니다.leader
0{
"_s": -510,
"_e": "Error message"
}이전 ← 상위 계정으로 방송 이관다음 → 방송에서 모든 상품 제거
방송에서 모든 상품 제거
방송에서 모든 상품 제거
헤더 파라미터
경로 파라미터
응답
응답 본문 없음
{
"_s": -510,
"_e": "Error message"
}이전 ← 방송의 경매 상품 검색다음 → 방송 내 상품 순서 변경
방송 내 상품 순서 변경
이 API는 먼저 요청 본문에 지정된 순서대로 상품을 정렬한 다음, 방송에 등록된 나머지 상품을 원래 순서대로 뒤에 추가합니다.
customerProductId를 이용한 정렬 예시
방송에 등록된 customerProductId 값의 원래 순서: sl09, sl08, sl07, sl06, sl05, sl04
요청 처리 후 customerProductId 값의 순서: sl04, sl05, sl07, sl09, sl08, sl06
curl --location --request PUT
'https://private.shopliveapi.com/v2/{accessKey}/campaign/{campaignKeyOrId}/product/order'
--header 'Accept: application/json'
--header 'Authorization: Bearer {JWT_TOKEN}'
--header 'Content-Type: application/json'
--data-raw
'[
{"customerProductId": "sl04"},
{"customerProductId": "sl05"},
{"customerProductId": "sl07"}
]'
에러 코드
| HTTP 상태 코드 | 에러 코드(_s) | 에러 메시지(_e) |
|---|---|---|
404 |
-710 | 방송이 존재하지 않습니다. |
404 |
-848 | 방송에서 정렬할 상품을 찾을 수 없습니다. |
400 |
-840 | 목록이 존재하지 않거나 데이터가 존재하지 않습니다. |
헤더 파라미터
경로 파라미터
본문 파라미터
항목이 최소 1개 필요합니다. 각 항목은 productId 또는 customerProductId 중 하나를 지정해야 하며, 한 요청의 모든 항목에는 같은 종류의 식별자를 사용하세요.
[
{
"customerProductId": "sl04"
},
{
"customerProductId": "sl05"
},
{
"customerProductId": "sl07"
}
]응답
응답 본문 없음
{
"_s": -510,
"_e": "Error message"
}이전 ← 방송에서 모든 상품 제거다음 → 진행 중인 경매 조회
진행 중인 경매 조회
진행 중인 경매 조회
헤더 파라미터
경로 파라미터
응답
응답 본문은 CampaignProduct 객체입니다.
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": true,
"bidStartingPrice": 28.0,
"bidDuration": 120,
"bidIncrementalAmount": 1,
"extendBidDuration": true,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"campaignId": "1234",
"showingNow": true,
"sortOrder": 3,
"stockStatus": "LOW_IN_STOCK",
"auction": {
"productId": "1003 ",
"auctionStatus": "ONGOING",
"startingPrice": 50.0,
"bidRound": 3,
"currentPrice": 52.0,
"winningPrice": null,
"recommendedPrices": [
53.0
],
"winner": null,
"leader": {
"uid": "350964901054939144",
"name": "shoplive-user"
},
"winnerCheckoutScheme": null,
"startedAt": 1769942592969,
"endingAt": 1769942632969,
"endedAt": null
}
}true000true000trueseller
true0auction
000winner
null입니다.leader
00{
"_s": -510,
"_e": "Error message"
}이전 ← 방송 내 상품 순서 변경다음 → 셀러에게 방송 이관
셀러에게 방송 이관
셀러에게 방송 이관
헤더 파라미터
경로 파라미터
쿼리 파라미터
false응답
응답 본문은 Campaign 객체입니다.
{
"campaignMeta": {
"campaignId": "1234",
"campaignKey": "{campaignKey}",
"accessKey": "{accessKey}",
"shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
"title": "New title",
"description": "New description",
"campaignStatus": "READY",
"rehearsalPasscode": "1234",
"serveReplay": true,
"logoImageUrl": null,
"preCampaignVideoUrl": null,
"preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
"backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
"ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
"scheduledStartAt": "2026-12-01T09:00:00Z",
"scheduledEndAt": "2026-12-01T10:00:00Z",
"campaignStartedAt": null,
"campaignEndedAt": null,
"createdAt": "2026-11-01T08:15:00Z",
"updatedAt": "2026-11-30T11:40:09Z"
},
"stream": {
"streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
"streamKey": "{streamKey}",
"videoAspectRatio": "9:16",
"liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
"liveUrls": {
"480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8",
"720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8"
},
"previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
"replayLiveUrl": null,
"replayLiveUrls": null,
"previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8"
},
"campaignProductList": [],
"seller": {
"sellerId": "3",
"name": "Live store",
"profileUrl": "https://image.shoplive.cloud/e2e1d1dc-6699-4652-a2f0-c6bae9efab2c.jpg",
"storeUrl": "https://www.shoplive.cloud/en#func01",
"description": "Live commerce store",
"schemes": {}
}
}campaignMeta
stream
liveUrls
seller
{
"_s": -510,
"_e": "Error message"
}{
"_s": -207,
"_e": "Error message"
}{
"_s": -714,
"_e": "Error message"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0이전 ← 진행 중인 경매 조회다음 → Popup 객체
Popup 객체
팝업 목록 항목
방송에 등록된 팝업을 조회할 때(GET /v2/{accessKey}/campaign/{campaignKeyOrId}/popup) 배열의 각 항목으로 반환되는 필드입니다.
| 필드 | 타입 | 설명 |
|---|---|---|
popupResourceId | string | 팝업 식별자 |
title | string | 팝업 제목(관리용 라벨) |
description | string | 팝업 설명(관리용 메모) |
contents | object | 팝업 타입별 콘텐츠. popupType이 COUPON이면 아래 "contents (COUPON)"에서 설명하는 형태를 가집니다. |
dismissType | string | KEEP / AUTO / MANUAL 중 하나 |
popupType | string | 팝업 타입. External API로 생성할 수 있는 타입은 COUPON입니다. 목록에는 콘솔에서 만든 다른 타입의 팝업도 포함될 수 있으니, COUPON이 아닌 팝업은 건너뛰세요. |
dimmed | boolean | 배경 딤(dim) 적용 여부. COUPON 팝업에는 적용되지 않습니다. |
duration | integer | 노출 지속 시간(초). 0이면 제한 없음을 의미합니다. |
showingNow | boolean | 현재 라이브 시청자에게 노출 중인지 여부 |
clickCount | integer | 누적 클릭 수 |
usedAt | integer | 팝업이 처음 노출된 시각입니다(밀리초 단위 Unix 타임스탬프, UTC). 한 번도 노출되지 않았으면 null입니다. |
createdAt | integer | 생성 시각(밀리초 단위 Unix 타임스탬프, UTC) |
updatedAt | integer | 마지막 수정 시각(밀리초 단위 Unix 타임스탬프, UTC) |
쿠폰 팝업 요청(생성·수정 요청 본문)
POST/PUT .../popup/coupon(/{popupResourceId}) 요청 본문의 최상위 필드입니다.
| 필드 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
title | string | 선택 | 팝업 제목(관리용 라벨) |
description | string | 선택 | 팝업 설명(관리용 메모) |
popupType | string | 필수 | COUPON 고정. 다른 값을 보내면 400이 반환됩니다. |
contents | object | 필수 | 아래 "contents (COUPON)" 참고 |
dismissType | string | 선택 | KEEP / AUTO / MANUAL. 기본값은 AUTO입니다. |
dimmed | boolean | 선택 | 배경 딤(dim) 적용 여부. 기본값은 false입니다. COUPON 팝업에는 적용되지 않습니다. |
duration | integer | 선택 | 노출 지속 시간(초). 기본값은 0(제한 없음)입니다. |
broadcastStrategy | object | 선택 | 전송 전략. 기본값은 {"type":"ALL_AT_ONCE"}입니다. |
tags | array<string> | 선택 | 팝업에 부여된 태그 목록 |
다음 필드는 서버가 설정하므로 요청에 보내지 않아도 됩니다: id, customerId, seller, adminId, adminName, createdAt, updatedAt.
contents (COUPON)
| 필드 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
popupType | string | 필수 | COUPON 고정. 최상위 popupType과 일치해야 합니다. |
title | string | 선택 | 팝업 콘텐츠 제목(최상위 title과는 별개) |
description | string | 선택 | 팝업 콘텐츠 설명 |
couponDeliveryType | string | 선택 | INSTANT(즉시 발급) 또는 DWELL_TIME(체류 시간 경과 후 발급). 생략하면 INSTANT로 동작합니다. |
couponDeliverySeconds | integer | 선택 | 쿠폰을 발급하기 전까지의 체류 시간(초)입니다. couponDeliveryType이 DWELL_TIME일 때만 적용되며, 이 경우 0보다 큰 값을 설정하세요. |
imageUrl | string | 선택 | 쿠폰 이미지 URL. imageBase64와 함께 보낼 수 없습니다(400). PNG·JPEG·GIF, 5MB 이하만 지원하며 리다이렉트되는 URL은 사용할 수 없습니다. 외부 URL은 Shoplive CDN URL(image.shoplive.cloud)로 자동 변환됩니다. |
imageBase64 | string | 선택 | Base64로 인코딩된 이미지(data: 접두어 없이). PNG·JPEG·GIF, 5MB 이하만 지원합니다. imageUrl과 함께 보낼 수 없습니다(400). |
imageContentType | string | 선택 | 이미지의 MIME 타입 |
imageWidth | integer | 선택 | 노출 너비(px). 0(기본값)이면 플레이어가 기본 너비인 164px로 렌더링합니다. |
textImageListTitle | string | 선택 | 텍스트+이미지 목록 제목 |
textImageList | array<object> | 선택 | 각 항목은 {"imageUrl": string, "text": string, "popupType": "TEXT_IMAGE", "action": string|null} 형태를 가집니다. |
action | string | 선택 | CUSTOM_ACTION 또는 null(생략)만 허용됩니다. 그 외 값을 보내면 400이 반환됩니다. |
payload | string | 선택 | JSON으로 직렬화된 문자열입니다(객체가 아님). 유효한 JSON이 아니면 400이 반환됩니다. 쿠폰을 매칭하려면 {"coupon":"<couponId>"}를 포함하세요. |
link | string | 선택 | 더 이상 권장하지 않습니다(Deprecated). 신규 연동에는 사용하지 마세요. |
열거값
| 타입 | 값 | 설명 |
|---|---|---|
PopupType | COUPON | 쿠폰 팝업. External API로 생성할 수 있는 유일한 타입입니다. NOTICE/BANNER 등 다른 타입은 콘솔에서 생성하며 팝업 목록에는 나타날 수 있습니다. |
DismissType | KEEP | 화면에 항상 노출됩니다. |
AUTO | 클릭 시 즉시 사라집니다(기본값) | |
MANUAL | 클라이언트가 명시적으로 닫을 때까지 유지됩니다. | |
CouponDeliveryType | INSTANT | 쿠폰을 즉시 발급합니다(couponDeliveryType을 생략했을 때도 동일하게 동작) |
DWELL_TIME | couponDeliverySeconds초의 체류 시간이 지난 후 발급합니다. |
이전 ← 셀러에게 방송 이관다음 → 방송 내 팝업 검색
방송 내 팝업 검색
방송에 등록된 팝업 목록을 조회합니다. 응답은 팝업 항목의 JSON 배열입니다.
헤더 파라미터
경로 파라미터
응답
배열의 각 항목은 팝업 목록 항목입니다.
[
{
"popupResourceId": "4297",
"title": "Live-only coupon #1",
"description": null,
"contents": {
"popupType": "COUPON",
"title": null,
"description": null,
"couponDeliveryType": "INSTANT",
"couponDeliverySeconds": null,
"link": null,
"imageUrl": "https://image.shoplive.cloud/aa1a2ae6-e557-462c-ae6d-a2ce47d245a1.png",
"imageWidth": 120,
"textImageListTitle": null,
"textImageList": [],
"action": "CUSTOM_ACTION",
"payload": "{\"coupon\":\"123\"}"
},
"dismissType": "AUTO",
"popupType": "COUPON",
"dimmed": false,
"duration": 0,
"showingNow": false,
"clickCount": 0,
"usedAt": null,
"createdAt": 1793520900000,
"updatedAt": 1793520900000
}
]contents
COUPON 팝업을 설명합니다. 다른 타입 팝업의 콘텐츠는 필드가 달라 여기에 문서화되어 있지 않습니다.popupType과 같습니다(쿠폰 팝업은 COUPON)INSTANT(즉시) 또는 DWELL_TIME(체류 시간 경과 후). 값이 없으면 INSTANT와 같습니다.couponDeliveryType이 DWELL_TIME일 때만 적용됩니다.image.shoplive.cloud)로 변환됩니다.0textImageList
TEXT_IMAGE 고정TEXT_IMAGECUSTOM_ACTION 또는 null(생략)만 허용됩니다. 그 외 값을 보내면 400이 반환됩니다.{"coupon":"<couponId>"}를 포함하세요.COUPON이 아닌 팝업은 건너뛰세요.null입니다.쿠폰 팝업 생성
쿠폰 팝업 1건을 생성하고 방송에 연결합니다. 단일 트랜잭션으로 원자적으로 처리되며, 응답은 생성된 팝업의 식별자만 반환합니다 — 전체 상태를 확인하려면 팝업 목록 조회(GET) 엔드포인트를 사용하세요.
검증 규칙: popupType은 최상위와 contents 내부 모두 COUPON이어야 합니다. contents.action은 CUSTOM_ACTION 또는 생략만 허용하며, 그 외 값을 보내면 400이 반환됩니다. contents.payload는 값이 있으면 유효한 JSON 문자열이어야 하며, 아니면 400이 반환됩니다. 쿠폰을 매칭하려면 contents.payload에 {"coupon":"<couponId>"}를 포함하세요. contents.imageUrl 또는 contents.imageBase64 중 하나만 보낼 수 있으며(둘 다 보내면 400), 외부 이미지는 서버가 동기적으로 내려받아 Shoplive CDN(image.shoplive.cloud)으로 변환한 뒤 저장합니다. Base64 이미지가 디코딩된 바이트 기준 5MB를 초과하면 400이 반환됩니다.
헤더 파라미터
경로 파라미터
본문 파라미터
{
"title": "Live-only coupon #1",
"popupType": "COUPON",
"dismissType": "AUTO",
"dimmed": false,
"duration": 0,
"broadcastStrategy": {
"type": "ALL_AT_ONCE"
},
"contents": {
"popupType": "COUPON",
"couponDeliveryType": "INSTANT",
"imageUrl": "https://cdn.example.com/coupon.png",
"imageWidth": 120,
"action": "CUSTOM_ACTION",
"payload": "{\"coupon\":\"123\"}"
}
}COUPON 고정. 다른 값을 보내면 400이 반환됩니다.COUPONcontents
popupType은 COUPON 고정입니다.COUPON 고정. 최상위 popupType과 일치해야 합니다.COUPONINSTANT(즉시) 또는 DWELL_TIME(체류 시간 경과 후). 선택 사항이며, 생략하면 INSTANT처럼 동작합니다.couponDeliveryType이 DWELL_TIME일 때만 적용됩니다.imageBase64와 함께 사용할 수 없습니다(400). PNG·JPEG·GIF, 5MB 이하만 지원하며 리다이렉트되는 URL은 사용할 수 없습니다. 외부 URL은 Shoplive CDN URL(image.shoplive.cloud)로 자동 변환됩니다.data: 접두어 없이). PNG·JPEG·GIF, 5MB 이하만 지원합니다. imageUrl과 함께 사용할 수 없습니다(400).0textImageList
TEXT_IMAGE 고정TEXT_IMAGECUSTOM_ACTION 또는 null(생략)만 허용됩니다. 그 외 값을 보내면 400이 반환됩니다.{"coupon":"<couponId>"}를 포함하세요.AUTO입니다.AUTOCOUPON 팝업에는 적용되지 않습니다.false0broadcastStrategy
{"type":"ALL_AT_ONCE"}입니다.ALL_AT_ONCE응답
{
"popupResourceId": "4297"
}{
"_s": -510,
"_e": "INVALID_ARGUMENT"
}{
"_s": -510,
"_e": "contents.payload is not valid JSON"
}{
"_s": -510,
"_e": "provide either contents.imageBase64 or contents.imageUrl, not both"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0이전 ← 방송 내 팝업 검색다음 → 쿠폰 팝업 수정
쿠폰 팝업 수정
방송에 등록된 쿠폰 팝업의 메타데이터/콘텐츠를 수정합니다. 요청 형태는 생성(create)과 동일합니다. id/customerId/seller/adminId/adminName/createdAt/updatedAt은 서버가 설정하므로 보내지 않아도 됩니다. 쿠폰(COUPON) 타입의 팝업만 수정할 수 있습니다. 대상 {popupResourceId}가 이 방송에 등록되어 있지 않거나 COUPON 타입이 아니면 404가 반환됩니다. 응답 본문은 없습니다 — 수정된 상태는 팝업 목록 조회(GET) 엔드포인트로 확인하세요.
검증 규칙은 생성(create)과 동일합니다: contents.action은 CUSTOM_ACTION 또는 생략만 허용하고, contents.payload는 값이 있으면 유효한 JSON 문자열이어야 하며, contents.imageUrl/contents.imageBase64는 동시에 사용할 수 없고(400), 5MB 제한이 적용됩니다.
이 팝업이 다른 방송에도 연결되어 있다면, contents/dismissType/duration 변경은 연결된 모든 방송에 한꺼번에 반영됩니다.
헤더 파라미터
경로 파라미터
본문 파라미터
{
"title": "Live-only coupon #1",
"popupType": "COUPON",
"dismissType": "AUTO",
"dimmed": false,
"duration": 0,
"broadcastStrategy": {
"type": "ALL_AT_ONCE"
},
"contents": {
"popupType": "COUPON",
"couponDeliveryType": "INSTANT",
"imageUrl": "https://cdn.example.com/coupon.png",
"imageWidth": 120,
"action": "CUSTOM_ACTION",
"payload": "{\"coupon\":\"123\"}"
}
}COUPON 고정. 다른 값을 보내면 400이 반환됩니다.COUPONcontents
popupType은 COUPON 고정입니다.COUPON 고정. 최상위 popupType과 일치해야 합니다.COUPONINSTANT(즉시) 또는 DWELL_TIME(체류 시간 경과 후). 선택 사항이며, 생략하면 INSTANT처럼 동작합니다.couponDeliveryType이 DWELL_TIME일 때만 적용됩니다.imageBase64와 함께 사용할 수 없습니다(400). PNG·JPEG·GIF, 5MB 이하만 지원하며 리다이렉트되는 URL은 사용할 수 없습니다. 외부 URL은 Shoplive CDN URL(image.shoplive.cloud)로 자동 변환됩니다.data: 접두어 없이). PNG·JPEG·GIF, 5MB 이하만 지원합니다. imageUrl과 함께 사용할 수 없습니다(400).0textImageList
TEXT_IMAGE 고정TEXT_IMAGECUSTOM_ACTION 또는 null(생략)만 허용됩니다. 그 외 값을 보내면 400이 반환됩니다.{"coupon":"<couponId>"}를 포함하세요.AUTO입니다.AUTOCOUPON 팝업에는 적용되지 않습니다.false0broadcastStrategy
{"type":"ALL_AT_ONCE"}입니다.ALL_AT_ONCE응답
응답 본문 없음
{
"_s": -510,
"_e": "INVALID_ARGUMENT"
}{
"_s": -404,
"_e": "NOT_FOUND"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0이전 ← 쿠폰 팝업 생성다음 → 방송에서 팝업 연결 해제
방송에서 팝업 연결 해제
팝업을 방송에서 연결 해제합니다. 팝업 리소스 자체는 삭제되지 않습니다(콘솔에서만 영구 삭제할 수 있습니다). 다른 방송에도 연결되어 있었다면 그 연결은 그대로 유지됩니다. 팝업이 현재 노출 중이면(showingNow가 true, 팝업 목록 응답 기준) 409가 반환됩니다. 먼저 비활성화하세요.
헤더 파라미터
경로 파라미터
응답
응답 본문 없음
{
"_s": -404,
"_e": "NOT_FOUND"
}{
"_s": -116,
"_e": "popup is currently showing; deactivate first before unlink"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0팝업 활성화
팝업을 라이브 시청자에게 즉시 노출합니다. 호출 후 해당 팝업의 showingNow는 true입니다(팝업 목록 응답 기준).
멱등(Idempotent): showingNow가 이미 true일 때 다시 호출해도 아무것도 바뀌지 않고 204가 반환됩니다(재시도하거나 여러 번 호출해도 안전합니다).
헤더 파라미터
경로 파라미터
쿼리 파라미터
0응답
응답 본문 없음
{
"_s": -510,
"_e": "broadcastDelay must be non-negative"
}{
"_s": -404,
"_e": "NOT_FOUND"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0이전 ← 방송에서 팝업 연결 해제다음 → 팝업 비활성화
팝업 비활성화
팝업을 라이브 시청자에게서 즉시 숨깁니다. 호출 후 해당 팝업의 showingNow는 false입니다(팝업 목록 응답 기준).
멱등(Idempotent): showingNow가 이미 false일 때 다시 호출해도 아무것도 바뀌지 않고 204가 반환됩니다(재시도하거나 여러 번 호출해도 안전합니다).
헤더 파라미터
경로 파라미터
쿼리 파라미터
0응답
응답 본문 없음
{
"_s": -510,
"_e": "broadcastDelay must be non-negative"
}{
"_s": -404,
"_e": "NOT_FOUND"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0이전 ← 팝업 활성화다음 → Product 객체
Product 객체
속성 이름 | 타입 | 설명 |
|---|---|---|
productId | String! | 자동으로 생성되는 고유한 상품 ID입니다. |
customerProductId | String? | 고객사의 상품 ID이며 고유해야 합니다(고객사가 직접 정의). |
name | String! | 상품 이름입니다. |
brand | String? | 브랜드 이름입니다. |
brandIdentifier | String? | 고객사가 설정한 상품의 브랜드 키(식별자)입니다. |
description | String? | 상품에 대한 설명입니다. |
url | String! | 상품 URL입니다. Shoplive Player에서 상품 정보를 클릭했을 때 이동하는 대상 URL입니다. |
sku | String? | 상품의 SKU 정보입니다 (고객사가 정의) |
imageUrl | String? | 상품 이미지 URL입니다. |
currency | String! | 가격의 통화입니다. |
showPrice | Boolean! | Shoplive Player에서 가격을 표시할지 여부입니다. |
originalPrice | Double? | 예: 20.00 (통화가 USD인 경우 $20.00) |
discountPrice | Double? | 예: 15.00 (통화가 USD인 경우 $15.00) |
discountRate | Double? | 예: 25.00 (할인율이 25%인 경우) |
enableAuction | Boolean! | 상품이 경매를 지원하는지 여부입니다. |
bidStartingPrice | Double? | 경매 시작 가격입니다(예: 0.99). |
bidDuration | Integer? | 경매의 입찰 지속 시간(초)입니다. 이 값은 |
bidIncrementalAmount | Double? | 입찰 증가 단위 금액입니다(예: 1.00). |
extendBidDuration | Boolean? | 경매 종료 직전에 입찰이 들어오면 남은 입찰 시간을 연장할지 여부입니다. 연장 시간은 고객사의 경매 설정을 따릅니다. |
ctaButtonTitle | String? | 상품의 CTA(call-to-action) 제목을 커스터마이즈할 수 있습니다. UI 커스터마이즈가 필요하므로 Shoplive와 상의가 필요합니다. 이 기능을 사용하고 싶으시면 ask@shoplive.cloud로 문의해 주세요. |
locked | Boolean! | 상품이 방송이나 숏폼에 등록되어 있으면 |
seller | 상품을 소유한 셀러 정보입니다. | |
createdAt | String! | 상품이 생성된 일시입니다 (형식: |
updatedAt | String! | 상품이 수정된 일시입니다 (형식: |
예시
일반 상품
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"brandIdentifier": "SHOPLIVE_BRAND_IDENTIFIER",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"ctaButtonTitle": "Buy It Now",
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
}경매 상품
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"brandIdentifier": "SHOPLIVE_BRAND_IDENTIFIER",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"ctaButtonTitle": "Bid",
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
}상품 검색
상품 검색
헤더 파라미터
경로 파라미터
쿼리 파라미터
false(최근 생성부터)입니다.false130응답
results 의 각 항목은 Product 객체입니다.
{
"results": [
{
"productId": "1005",
"customerProductId": "SHOPLIVE_PRODUCT_5",
"name": "Ballcap",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU005",
"imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 18.0,
"discountPrice": 14.0,
"discountRate": 22.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
},
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
},
{
"productId": "1003",
"customerProductId": "SHOPLIVE_PRODUCT_3",
"name": "T-Shirts",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU003",
"imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 30.0,
"discountPrice": 28.0,
"discountRate": 6.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
},
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
}
],
"totalCount": 5
}results
true000truetrueseller
0{
"_s": -510,
"_e": "Error message"
}이전 ← Product 객체다음 → 상품 생성
상품 생성
상품을 등록합니다. upsert가 아니므로 이미 있는 customerProductId 항목은 status: FAIL로 돌아옵니다. 각 항목의 status는 CREATE, WARN(등록됐지만 이미지를 불러오지 못함), FAIL 중 하나입니다.
헤더 파라미터
경로 파라미터
본문 파라미터
항목이 최소 1개 필요합니다.
[
{
"customerProductId": "CUSTOMER_PRODUCT_ID_12345",
"name": "TEST PRODUCT",
"url": "TEST_URL"
}
]status가 FAIL로 반환됩니다.status가 FAIL)합니다.enableAuction이 true이면 필수입니다.enableAuction이 true일 때 필수입니다.enableAuction이 true이면 필수입니다.true를 보내세요. 연장 시간은 고객사의 경매 설정을 따릅니다.seller
응답
{
"results": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": "Keyring description",
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "New seller",
"profileUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": {}
},
"createdAt": "2026-05-20T08:01:04Z",
"updatedAt": "2026-05-20T08:01:04Z",
"message": null,
"status": "CREATE"
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Mug",
"brand": "SHOPLIVE",
"description": "Mug description",
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": null,
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"locked": false,
"seller": null,
"createdAt": "2026-05-20T08:01:04Z",
"updatedAt": "2026-05-20T08:01:04Z",
"message": "Failed to load image of the product.",
"status": "WARN"
}
],
"successCount": 1,
"warnCount": 1,
"failCount": 0,
"totalCount": 2
}results
true000truetrueseller
0000{
"_s": -510,
"_e": "Error message"
}상품 정보 조회
상품 정보 조회
헤더 파라미터
경로 파라미터
응답
응답 본문은 Product 객체입니다.
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
}true000truetrueseller
{
"_s": -831,
"_e": "Error message"
}0이전 ← 상품 생성다음 → customerProductId로 상품 정보 조회
customerProductId로 상품 정보 조회
customerProductId로 상품 정보 조회
헤더 파라미터
경로 파라미터
응답
응답 본문은 Product 객체입니다.
{
"productId": "1004",
"customerProductId": "SHOPLIVE_PRODUCT_4",
"name": "Mug",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU004",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z"
}true000truetrueseller
{
"_s": -831,
"_e": "Error message"
}0상품 수정
상품을 수정합니다. 각 항목은 customerProductId 또는 productId로 지정하며, 한 요청에서는 한 가지 식별자만 사용하세요. 각 항목의 status는 UPDATE 또는 FAIL입니다.
헤더 파라미터
경로 파라미터
본문 파라미터
항목이 최소 1개 필요합니다. 각 항목은 productId 또는 customerProductId 중 하나를 지정해야 하며, 한 요청의 모든 항목에는 같은 종류의 식별자를 사용하세요.
[
{
"customerProductId": "CUSTOMER_PRODUCT_ID_12345",
"name": "Updated product name",
"url": "Updated product url",
"description": "Updated product description"
}
]enableAuction이 true이면 필수입니다.enableAuction이 true일 때 필수입니다.enableAuction이 true이면 필수입니다.true이면 켜고, false이면 끄며, 생략하면 상품의 현재 설정이 유지됩니다. 연장 시간은 고객사의 경매 설정을 따릅니다.seller
응답
{
"results": [
{
"productId": "1001",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": "Keyring description",
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": null,
"createdAt": "2026-11-30T08:01:04Z",
"updatedAt": "2026-11-30T12:06:02Z",
"message": null,
"status": "UPDATE"
},
{
"productId": "10000000",
"name": "Mug",
"brand": "SHOPLIVE",
"description": "Mug description",
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 10.0,
"discountPrice": 7.0,
"discountRate": 30.0,
"enableAuction": true,
"bidStartingPrice": 7.0,
"bidDuration": 120,
"bidIncrementalAmount": 1.0,
"extendBidDuration": true,
"locked": false,
"seller": null,
"createdAt": null,
"updatedAt": null,
"message": "The product does not exist.",
"status": "FAIL"
}
],
"successCount": 1,
"warnCount": 0,
"failCount": 1,
"totalCount": 2
}results
true000truetrue0000{
"_s": -510,
"_e": "Error message"
}이전 ← customerProductId로 상품 정보 조회다음 → 상품 삭제
상품 삭제
상품을 삭제합니다. 각 항목은 customerProductId 또는 productId로 지정하며, 한 요청에서는 한 가지 식별자만 사용하세요. 각 항목의 status는 DELETE 또는 FAIL입니다.
헤더 파라미터
경로 파라미터
쿼리 파라미터
true(기본값)이면 방송에 등록된 상품은 해당 방송에서 분리된 뒤 삭제됩니다. false이면 방송에 등록된 상품은 삭제되지 않고 실패한 항목(results[]에서 status가 FAIL)으로 반환됩니다. 숏폼에 등록된 상품은 이 값과 관계없이 삭제되지 않습니다.true본문 파라미터
항목이 최소 1개 필요합니다. 각 항목은 productId 또는 customerProductId 중 하나를 지정해야 하며, 한 요청의 모든 항목에는 같은 종류의 식별자를 사용하세요.
[
{
"productId": 123456
}
]응답
{
"results": [
{
"productId": "1234",
"message": "Keyring is deleted.",
"status": "DELETE"
},
{
"productId": "1235",
"message": "Ballcap is deleted.",
"status": "DELETE"
}
],
"successCount": 2,
"warnCount": 0,
"failCount": 0,
"totalCount": 2
}results
0000{
"_s": -510,
"_e": "Error message"
}이전 ← 상품 수정다음 → 상품을 셀러에게 이관
상품을 셀러에게 이관
상품을 셀러에게 이관
헤더 파라미터
경로 파라미터
본문 파라미터
항목이 최소 1개 필요합니다. 각 항목은 productId 또는 customerProductId 중 하나를 지정해야 하며, 한 요청의 모든 항목에는 같은 종류의 식별자를 사용하세요.
[
{
"productId": 1001
},
{
"productId": 1002
}
]응답
{
"results": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"message": null,
"status": "UPDATE"
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": {
"sellerId": "1",
"name": "Shoplive Product Store",
"profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
"storeUrl": "https://shoplive.cloud",
"description": "Description of the seller",
"schemes": null
},
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"message": null,
"status": "UPDATE"
}
],
"successCount": 2,
"warnCount": 0,
"failCount": 0,
"totalCount": 2
}results
true000truetrueseller
0000{
"_s": -510,
"_e": "Error message"
}이전 ← 상품 삭제다음 → 상품을 상위 계정으로 이관
상품을 상위 계정으로 이관
상품을 상위 계정으로 이관
헤더 파라미터
경로 파라미터
본문 파라미터
항목이 최소 1개 필요합니다. 각 항목은 productId 또는 customerProductId 중 하나를 지정해야 하며, 한 요청의 모든 항목에는 같은 종류의 식별자를 사용하세요.
[
{
"productId": 1001
},
{
"productId": 1002
}
]응답
{
"results": [
{
"productId": "1001",
"customerProductId": "SHOPLIVE_PRODUCT_1",
"name": "Keyring",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU001",
"imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 20.0,
"discountPrice": 10.0,
"discountRate": 50.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": null,
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"message": null,
"status": "UPDATE"
},
{
"productId": "1002",
"customerProductId": "SHOPLIVE_PRODUCT_2",
"name": "Hoodie",
"brand": "SHOPLIVE",
"description": null,
"url": "https://www.shoplive.cloud/en",
"sku": "SKU002",
"imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
"currency": "USD",
"showPrice": true,
"originalPrice": 50.0,
"discountPrice": 37.0,
"discountRate": 26.0,
"enableAuction": false,
"bidStartingPrice": null,
"bidDuration": null,
"bidIncrementalAmount": null,
"extendBidDuration": null,
"locked": false,
"seller": null,
"createdAt": "2026-05-20T08:01:05Z",
"updatedAt": "2026-05-20T11:27:34Z",
"message": null,
"status": "UPDATE"
}
],
"successCount": 2,
"warnCount": 0,
"failCount": 0,
"totalCount": 2
}results
true000truetrueseller
0000{
"_s": -510,
"_e": "Error message"
}이전 ← 상품을 셀러에게 이관다음 → 방송/리허설 시작
방송/리허설 시작
방송을 시작합니다. 리허설로 시작하려면 rehearsal=true를 붙이세요.
헤더 파라미터
경로 파라미터
쿼리 파라미터
false응답
응답 본문 없음
{
"_s": -714,
"_e": "Error message"
}{
"_s": -717,
"_e": "Error message"
}{
"_s": -710,
"_e": "Campaign does not exist."
}0이전 ← 상품을 상위 계정으로 이관다음 → 콘솔에서 상품 재고 상태 변경
콘솔에서 상품 재고 상태 변경
콘솔에서 상품 재고 상태 변경
헤더 파라미터
경로 파라미터
쿼리 파라미터
SOLD_OUT입니다.SOLD_OUT본문 파라미터
항목이 최소 1개 필요합니다. 각 항목은 productId 또는 customerProductId 중 하나를 지정해야 하며, 한 요청의 모든 항목에는 같은 종류의 식별자를 사용하세요.
[
{
"productId": 12345
},
{
"productId": 23456
}
]응답
{
"results": [
{
"productId": "30092",
"message": null,
[...]
